/************************************************************
*
*
*	Header containing all function declarations.
*
*	by Adrian Bool in cooperation with Graham Cox.
*
*	copyright © phantasm coding 1992.
*
*
************************************************************/

/* global functions */

void PascalToC(str255 , char*);
void CtoPascal(str255 , char*);
void copyString(char*,char*);
short lengthOfString(char*);

/* source functions */

sHandle newSource();
void loadSource(sHandle);
void getSection(pHandle , char*);
short getSegment(char* , short*, str255);
operator getPart(char*, short*, str255);
void nextLine(sHandle);

/* code functions */

void assembleOpcode(opcode , short , rBlock , short* , pHandle);
opcode getOpcode(char*);
int checkAddress(pHandle , addressType);

/* label functions */

lHandle newLabelList();
void newLabel(pHandle , char* , lValue);
lValue getLabelValue(lHandle , char*);

/* object functions */

oHandle newObject();
void createObjectSpace(oHandle);
void addBlock(oHandle , rBlock , short);

/* assemble functions */
	
pHandle newProgram();
void disposeProgram(pHandle);
void pass(pHandle , short);
